---
title: Window.sizeToContent()
slug: Web/API/Window/sizeToContent
tags:
  - API
  - HTML DOM
  - Method
  - Reference
  - Window
---
<div>{{APIRef}}{{Non-standard_header}}</div>

<p>The <code><strong>Window.sizeToContent()</strong></code> method sizes the window according to its content. In order for it to work, the DOM content should be loaded when this function is called—for example, once the {{event("DOMContentLoaded")}} event has been thrown.</p>

<p>Since Firefox 20, the mimimal size of the window is clamped to prevent the window from being too small for the user to interact with.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">window.sizeToContent()
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js notranslate">window.sizeToContent();
</pre>

<h2 id="Specifications">Specifications</h2>

<p>This feature is not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Window.sizeToContent")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window")}}</li>
</ul>
